Validate Digital Identity using existing OCR transaction

Endpoint:

POST {{baseUrl}}/api/DigitalIdentity/LinkUserWithExistingTransaction

Overview

This endpoint allows validating a registered and logged-in user using an existing OCR transaction that was previously created using an API Key.

Normally, Digital Identity (DI) verification requires capturing:

  • ID Front

  • ID Back

  • Liveness

However, some clients use a separated OCR flow (API Key–based) without linking the transaction to a user. In this case, we reuse the existing valid transaction and link it to the logged-in user without repeating the capture process.

Supported Use Case

  1. A user is already registered in the system.

  2. The client performs OCR using API Key only (no user access token).

  3. The OCR flow calls the 3 endpoints:

    • ID Front

    • ID Back

    • Liveness

  4. A transactionId is generated.

  5. The user logs in.

  6. Then calls:

POST {{baseUrl}}/api/DigitalIdentity/LinkUserWithExistingTransaction

Request Body

{ "transactionId": "c83669c9-e06e-4564-b355-a2cb2d55a570", "getExtractedData": true }

Validation Rules

User is marked as Verified if:

  • ID Front, ID Back, and Liveness are valid.

  • NTRA check passes (if enabled).

  • CSO check passes (if enabled).

If NTRA and CSO are disabled and the transaction is valid → user is Verified .

Last updated